<?php

namespace MoOTP\Objects;

if(! defined( 'ABSPATH' )) exit;

/**
 *  This class is used to generate notification settings
 *  specific to email or sms settings. These settings are then passed
 *  to the cURL function to send notifications.
 */
class NotificationSettings
{

	public $sendSMS;
	public $sendEmail;
	public $phoneNumber;
	public $fromEmail;
	public $fromName;
	public $toEmail;
	public $toName;
	public $subject;
	public $bccEmail;
	public $message;

	public function __construct()
	{
		if(func_num_args() < 4) {
			$this->createSMSNotificationSettings(func_get_arg(0),func_get_arg(1));
		} else {
			$this->createEmailNotificationSettings(func_get_arg(0),func_get_arg(1),
				func_get_arg(2),func_get_arg(3),func_get_arg(4));
		}
	}

	/**
	 * Create Phone notification settings
	 *
	 * @param  $phoneNumber
	 * @param  $message
	 * @return
	 */
	public function createSMSNotificationSettings($phoneNumber,$message)
	{
		$this->sendSMS = TRUE;
		$this->phoneNumber = $phoneNumber;
		$this->message = $message;
	}


	/**
	 * Create Email notification settings
	 *
	 * @param  $fromEmail
	 * @param  $fromName
	 * @param  $toEmail
	 * @param  $subject
	 * @param  $message
	 * @return
	 */
	public function createEmailNotificationSettings($fromEmail,$fromName,$toEmail,$subject,$message)
	{
		$this->sendEmail = TRUE;
		$this->fromEmail = $fromEmail;
		$this->fromName = $fromName;
		$this->toEmail = $toEmail;
		$this->toName = $toEmail;
		$this->subject = $subject;
		$this->bccEmail = '';
		$this->message = $message;
	}
}