<?php

namespace MoOTP\Objects;

use MoOTP\Helper\MoUtility;
use MoOTP\Traits\Instance;

final class TabDetails
{
    use Instance;

    
    public $_tabDetails;

    
    public $_parentSlug;

    
    private function __construct()
    {
        $registered = MoUtility::micr();
        $this->_parentSlug = 'registrationform';
        $request_uri = remove_query_arg('addon',sanitize_text_field($_SERVER['REQUEST_URI']));

        $this->_tabDetails = [
            
            Tabs::LOGINREGISTRATIONFORMS => new PluginPageDetails(
                "icon_registrationform",
                'OTP Verification - Login/Registration Form',
                "registrationform",
                esc_attr(mofr_('Form Settings')),
                MOFLR_FORMS_LOGO,
                esc_attr(mofr_('Form Settings')),
                $request_uri,
                'LoginRegistrationForm.php',
                'tabID',
                "background:#D8D8D8"
            ),
            Tabs::GATEWAY_CONFIG => new PluginPageDetails(
                "icon_mofrgatewayconfig",
                'OTP Verification - Gateway Config',
                'mofrgatewayconfig',
                esc_attr(mofr_('Gateway Settings')),
                MOFLR_GATEWAY_LOGO,
                esc_attr(mofr_('Gateway Settings')),
                $request_uri,
                'mofrgatewayconfig.php',
                'emailSmsTemplate',
                "background:#D8D8D8"
            ),

            Tabs::ACCOUNT => new PluginPageDetails(
                "icon_mofrotpaccount",
                "OTP Verification - Accounts",
                "mofrotpaccount",
                !$registered ? 'Setup Account' : 'Account Details',
                MOFLR_ACCOUNT_LOGO,
                !$registered ? "Setup Account" : "Account Details",
                $request_uri,
                'mofraccount.php',
                'account',
                '',
                "background:#D8D8D8"
            ),

            Tabs::LICENSE_PLAN => new PluginPageDetails(
                "icon_mofrlincense",
                "OTP Verification - Licensing Plans",
                "mofrotplicense",
                esc_attr(mofr_('Licensing Plans')),
                MOFLR_LICENSE_LOGO,
                esc_attr(mofr_('Licensing Plans')),
                $request_uri,
                'mofrlicense.php',
                'license',
                '',
                "background:#D8D8D8"
            ),
            
        ];
    }
}